Bug 143661 - [patch] Fail to install www/rubygem-passenger when using Ruby 1.9.1
Summary: [patch] Fail to install www/rubygem-passenger when using Ruby 1.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 05:30 UTC by Jyun-Yan You
Modified: 2010-08-31 04:30 UTC (History)
0 users

See Also:


Attachments
bsd.ruby.mk.diff (617 bytes, patch)
2010-02-08 05:30 UTC, Jyun-Yan You
no flags Details | Diff
rubygem-passenger.diff (1.47 KB, patch)
2010-02-19 07:24 UTC, Jyun-Yan You
no flags Details | Diff
patch-gem_prelude.rb (413 bytes, application/octet-stream)
2010-02-19 07:24 UTC, Jyun-Yan You
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jyun-Yan You 2010-02-08 05:30:02 UTC
When installing rubygem-passenger, rubygems can't find the rake included in Ruby 1.9.1.
It fails to resolve dependency and fails to install passenger.

Fix: Adding --ignore-dependencies option to bsd.ruby.mk can solve the problem.
We have specified dependencies in Makefile. It's safe to add this option.

	
How-To-Repeat: # cd /usr/ports/www/rubygem-passenger
# make RUBY_VER=1.9 install clean

...

/usr/bin/env  /usr/local/bin/gem19 install -l --no-update-sources --no-ri --install-dir /usr/local/lib/ruby/gems/1.9 /usr/ports/distfiles/rubygem/passenger-2.2.7.gem -- --build-args
ERROR:  Error installing /usr/ports/distfiles/rubygem/passenger-2.2.7.gem:
        passenger requires rake (>= 0.8.1, runtime)
Comment 1 Philip M. Gollucci freebsd_committer 2010-02-09 20:07:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-02-16 00:32:51 UTC
State Changed
From-To: suspended->feedback

doesn't work 

http://tb.p6m7g8.net//errors/9-CURRENT-amd64-ruby19/rubygem-passenger-2.2.9.log
Comment 3 Jyun-Yan You 2010-02-19 07:24:00 UTC
These files can solve the problem.

patch-gem_prelude.rb

    For lang/ruby19, let ruby not raise Gem::LoadError when running
rubygem executables.
    This patch can safely replace the previous one.

rubygem-passenger.diff

    For www/rubygem-passenger, let passenger find the rake19 executable
Comment 4 Philip M. Gollucci freebsd_committer 2010-02-20 23:02:01 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 5 Philip M. Gollucci freebsd_committer 2010-02-20 23:43:20 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval. 

Note, platform_info.rb.patch should just be a files/patch-*
Comment 6 Philip M. Gollucci freebsd_committer 2010-04-23 22:26:18 UTC
State Changed
From-To: feedback->open

back to pool 


Comment 7 Philip M. Gollucci freebsd_committer 2010-04-23 22:26:18 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to pool
Comment 8 Martin Wilke freebsd_committer 2010-05-10 06:46:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ruby

Over to maintainer.
Comment 9 Philip M. Gollucci freebsd_committer 2010-05-27 19:12:09 UTC
State Changed
From-To: open->closed

see ports/147137
Comment 10 dfilter service freebsd_committer 2010-08-31 04:28:14 UTC
pgollucci    2010-08-31 03:28:05 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.ruby.mk 
    devel/rubygem-rake   Makefile 
  Log:
  - Fix www/rubygem-passenger under lang/ruby19 [1]
  - Fix www/rubygem-rake under lang/ruby19 [2]
  
  PR:             ports/147137 [3], ports/143661 [1], ports/144606 [2]
  Submitted by:   myself (pgollucci),
                  Jyun-Yan You <jyyou@cs.nctu.edu.tw> [1]
                  "Aaron D. Gifford" <Aaron.D.Gifford@FreeBSD.org> [2]
  Approved by:    maintainer timeout (stas) [3] / myself
  With Hat:       ruby
  
  Revision  Changes    Path
  1.197     +7 -6      ports/Mk/bsd.ruby.mk
  1.22      +4 -7      ports/devel/rubygem-rake/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"